/**********************************************************************
  ABAppInfo.h

  Copyright (c) 1998, David C. Lambert.  All Rights Reserved.
**********************************************************************/
#import <appkit/appkit.h>

#define ARRBUF				(10)
#define NOMENU				(100000)
#define NOWHERE				(-1000.0)

@interface ABAppInfo : Object
{
	int			appUid;
	int			appPid;
	int			appCtxt;
	int			appIconWin;
	int			appMainMenu;
	id			appMiniWins;
	BOOL		isLaunched;
	NXAtom		appFileName;
	NXAtom		appShortName;
}

+ reset;
+ initialize;
+ getShortName:(char *)shortName from:(const char *)appFileName;
+ unhidePid:(int)appPid raise:(BOOL)raiseFlag activate:(BOOL)activateFlag hideOthers:(BOOL)hideFlag;
+ unhideCtxt:(int)appCtxt raise:(BOOL)raiseFlag activate:(BOOL)activateFlag hideOthers:(BOOL)hideFlag;

+ vanishIconForPid:(int)pid;
+ vanishIconForCtxt:(int)ctxt;
+ unvanishIconForPid:(int)pid;
+ unvanishIconForCtxt:(int)ctxt;

+ (int)getPidFor:(char *)aName;
+ (int)getUidForPid:(int)aPid;
+ (int)getAppMenuForPid:(int)aPid;
+ (int)getAppIconForPid:(int)aPid;
+ (int)getAppCtxtForPid:(int)aPid;
+ (int)getPidForAppCtxt:(int)aCtxt;
+ getAppMiniWinsForPid:(int)aPid;

+ (BOOL)pidExists:(int)testPid;

- initForFile:(char *)theAppFileName;
- free;

- update;
- activateApp:(BOOL)activateFlag raise:(BOOL)raiseFlag hideOthers:(BOOL)hideFlag;

- vanishIcon;
- unvanishIcon;

- (BOOL)isLaunched;

- (int)appPid;
- (int)appUid;
- (int)appCtxt;
- (int)appIconWin;
- (int)appMainMenu;
- (NXAtom)appShortName;
- (NXAtom)appFileName;
- appMiniWins;

@end
